Name:           perl-Mojo-JWT
Version:        0.08
Release:        3%{?dist}
Summary:        JSON Web Token the Mojo way
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Mojo-JWT/
Source0:        http://www.cpan.org/authors/id/J/JB/JBERGER/Mojo-JWT-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.010
BuildRequires:  perl(Crypt::OpenSSL::RSA)
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::Build::Tiny)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Mojolicious) >= 5.00
Requires:       perl(Crypt::OpenSSL::RSA)
Requires:       perl(Digest::SHA)
Requires:       perl(Mojolicious) >= 5.00
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:	perl(Mojo::JWT)

%description
JSON Web Token is described in https://tools.ietf.org/html/rfc7519.
Mojo::JWT implements that standard with an API that should feel familiar to
Mojolicious users (though of course it is useful elsewhere). Indeed, JWT is
much like Mojolicious::Sessions except that the result is a url-safe text
string rather than a cookie.

%prep
%setup -q -n Mojo-JWT-%{version}

%build
%{__perl} Build.PL prefix /usr installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

##./Build install destdir=$RPM_BUILD_ROOT create_packlist=0

./Build install \
  --destdir $RPM_BUILD_ROOT \
  --install_path libdoc=%{_mandir}/man3

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
#find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes cpanfile LICENSE META.json metamerge.json README
/usr/local/share/perl5/*
%{_mandir}/man3/*

%changelog
* Fri Jul 14 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Sun Jul 31 2022 Michel Begue <mab974@misouk.com> 0.08-3
- add Provides: perl(Mojo::JWT)

* Sat Jun 25 2022 Michel Begue <mab974@misouk.com> 0.08-2
- fix email

* Wed Aug 26 2020 Michel Begue <mab974@gmail.com> 0.08-1
- First build using cpanspec
